Skip to main content
PUT
/
shield
/
shield-zone
/
{shieldZoneId}
/
bot-categorization
/
bots
/
{botId}
Set or clear the action applied to a categorised bot for this Shield Zone.
curl --request PUT \
  --url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/bot-categorization/bots/{botId} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "botId": 123,
    "userAgentMatch": "<string>",
    "isVerifiable": true
  },
  "error": {
    "success": true,
    "message": "<string>",
    "errorKey": "<string>"
  }
}

Path Parameters

shieldZoneId
integer<int32>
required
botId
integer<int32>
required

Body

action
enum<integer>
required

0 = None 1 = Block 2 = Allow

Available options:
0,
1,
2

Response

OK

data
object
error
object

Generic response object containing status information for API operations.